# Generated from conjur-asset-ui-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name conjur-asset-ui

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: Conjur User Interface Plugin
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(conjur-cli) >= 4.20
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(spork)
# BuildRequires: rubygem(ci_reporter)
BuildArch: noarch

%description
Conjur User Interface Plugin.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.git-hooks
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.project
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/TODO.md
%{gem_instdir}/app
%{gem_libdir}
%{gem_instdir}/public
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/conjur-asset-ui.gemspec
%doc %{gem_instdir}/docker
%{gem_instdir}/features

%changelog
* Mon Sep 13 2021 mockbuilder - 1.6.0-1
- Initial package
